Subject: [lojban] Re: Again with the Alice.

From: Jordan DeLong <[email-masked]>
Date: Tue, 8 Oct 2002 21:10:06 -0500

On Tue, Oct 08, 2002 at 04:14:52PM -0700, Robin Lee Powell wrote:
> On Thu, Oct 10, 2002 at 12:58:17AM +0200, Adam Raizen wrote:
> > > > Btw, I assume it would not be a problem to click on edit for a
> > > > page, disconnect from the internet, translate some, and then
> > > > reconnect and submit it (some of us have dialup accounts, and have
> > > > to pay for local calls).
> > >
> > > And that is *exactly* why I split it into paragraphs:
> > >
> > > While you are gone the page is locked. People can break the lock,
> > > but then things get messy. I didn't want whole chapters to be
> > > locked at once long term.
> > >
> > > It expires after one hour, but still. And this way I can increase
> > > that time limit.
> > 
> > That might solve your locking problem, but it exacerbates the dialup
> > problem. With the way it is now, I would have to dialup my ISP,
> > retrieve the paragraph, disconnect, translate it, dialup again, submit
> > and get the next paragraph, disconnect, etc. It strongly discourages
> > doing much more than a paragraph at a time.
> 
> OK.
> 
> So, we have what appears to be an insurmountable conflict:
> 
> I am not OK with having an entire chapter of Alice locked while you are
> doing your offline editing.
> 
> You are not OK with dealing with it being broken up into paragraphs
> (what's stopping you from editing more than one paragraph at a time,
> anyways?).
> 
> I see no obvious solution. Do you have one?

How about making the RCS database public for people who prefer to
edit offline/not in a webbrowser/etc?

For extra credit you could forward port the twiki code to use CVS
instead.

Dunno... 

-- 
Jordan DeLong - [email-masked]
lu zo'o loi censa bakni cu terzba le zaltapla poi xagrai li'u
sei la mark. tuen. cusku